import $ from 'jquery';

/**
 * Wrapper za <button> elemente.
 */
export default class Button
{
    constructor(el)
    {
        this.$el = $(el);
    }

    /**
     * Da li je ovaj buttom omogućen?
     */
    get enabled()
    {
        return this.$el.prop('disabled');
    }

    /**
     * @param value
     */
    set enabled(value)
    {
        if (!value === this.enabled) {
            return;
        }

        this.$el.prop('disabled', !value);

        if (value) {
            this.$el.removeClass('disabled');
        } else {
            this.$el.addClass('disabled');
        }
    }

    /**
     * Zamijenjuje jednu css klasu drugom.
     *
     * @param search
     * @param replace
     */
    swapClass(search, replace)
    {
        this.$el.removeClass(search);
        this.$el.addClass(replace);
    }
}