import $ from 'jquery';

import SimpleAddToCart from './js/AddtoCart/Simple';
import GroupedAddToCart from './js/AddtoCart/Grouped';
import VariableAddToCart from './js/AddtoCart/Variable';

require('./js/cart');
require('./js/update-fragments');
require('./js/Form/quantity-input');
require('./scss/main.scss');

let components = [];

function init()
{
    $('.add-to-cart').each(function(i, el) {
        let $el = $(el);

        if ($el.hasClass('add-to-cart--simple')) {
            components.push(new SimpleAddToCart(el));
        } else if ($el.hasClass('add-to-cart--grouped')) {
            components.push(new GroupedAddToCart(el));
        } else if ($el.hasClass('add-to-cart--variable')) {
            components.push(new VariableAddToCart(el));
        } else {
            throw "Nepoznati add-to-cart tip";
        }
    });
}

$(init);